package com.example.exvesta

import com.example.exvesta.Screans.Responses.Auth
import com.example.exvesta.model.ResultStateSignIn

import org.junit.Test

import org.junit.Assert.*

/**
 * Example local unit test, which will execute on the development machine (host).
 *
 * See [testing documentation](http://d.android.com/tools/testing).
 */
class ExampleUnitTest {



    @Test fun InitialSignInStateIsLoading()
    {
        val viewModel = Auth()
        assertEquals(viewModel.signInState.value, ResultStateSignIn.Loading)
    }

    @Test fun signInStateIsSuccessAfterSuccessfulSignIn()
    {
        val viewModel = Auth()
        viewModel._signInState.value = ResultStateSignIn.Success(Unit)
        assertEquals(viewModel.signInState.value, ResultStateSignIn.Success(Unit))
    }
    @Test fun Count_season(){

    }
}